{{- if .Values.clusterConfig.cilium.enabled }}
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-remote-node-webhooks
  namespace: mariadb-operator
spec:
  endpointSelector:
    matchLabels: {}
  ingress:
    - fromEntities:
        - kube-apiserver
        - remote-node
      toPorts:
        - ports:
            - port: "443"
              protocol: TCP
            - port: "9443"
              protocol: TCP
{{- end}}
